<?php
/**
 * @since ningxia 3.158.0
 *
 * Intended to be included in the various attachment php's to provide common logic
 * for the file metadata sections
 *
 * Expected variables to be set
 * $post - the wordpress post we're working on
 * $text_File - The word (or phrase) to be used in the heading for the metadata (i.e., it is expected to be capitalised)
 * $text_file - The word for the filetype to be used in text
 */
?>
<h3><?php echo $text_File; ?> Metadata</h3>
<dl>
<?php
$alttext = get_post_meta($post->ID, '_wp_attachment_image_alt', true);
$caption = get_the_excerpt();
$descrip = get_the_content();
if( is_string( $alttext ) && $alttext !== '') {
	echo "<dt>Alt Text</dt><dd>" . $alttext . "</dd>";
}
if( is_string( $caption ) && $caption !== '' && trim(strip_tags($descrip)) !== trim(strip_tags($caption)) ) {
	echo "<dt>Caption</dt><dd>"; the_excerpt(); echo "</dd>";
}
if( is_string( $descrip ) && $descrip !== '' ) {
	echo "<dt>Description</dt><dd>"; the_content(); echo "</dd>";
}
$terms = get_the_terms( $post->ID, 'attachment_tag' );
if ( $terms && ! is_wp_error( $terms ) ) {
	$mine = false;
	$ours = false;
	$romsey = false;
	foreach ( $terms as $term ) {
		if ( $term->name == 'sole-copyright-owner-me' ) {
			$mine = true;
		}
		else if ( $term->name == 'copyright-owners-tina+chris+me+zyg' ) {
			$ours = true;
		}
		else if ( $term->name == 'romsey-plugin' ) {
			$romsey = true;
		}
	}
	echo "<dt>Copyright status</dt><dd>";
	if ( $mine ) {
		$publish = (int)get_the_date( 'Y' );
		echo "<p>© David Vines " .  $publish . ".";
		$terms = array_filter( $terms, function( $v ) { return $v->name !== 'sole-copyright-owner-me'; });
		$prefix = "You can use this " . $text_file . " if you abide by the terms of the ";
	} else if ( $ours ) {
		$publish = (int)get_the_date( 'Y' );
		echo "<p>© Tina Monk, Chris Carrigan, Zygmunt Lozinksi, David Vines " .  $publish . ".";
		$terms = array_filter( $terms, function( $v ) { return $v->name !== 'copyright-owners-tina+chris+me+zyg'; });
		$prefix = "You can use this " . $text_file . " if you abide by the terms of the ";
	} else if ( $romsey ) {
		$publish = (int)get_the_date( 'Y' );
		echo "<p>© Rüdiger Appel, Alexander, David Vines 2012, " . $publish . ".";
		$prefix = "You can use this " . $text_file . " if you abide by the terms of the ";
	} else {
		$prefix = "This " . $text_file . " is used under the terms of the ";
	}
	$licenseString = "This file is licensed under the ";
	foreach ( $terms as $term ) {
		echo "<p>";

		if ( substr( $term->description, 0, strlen( $licenseString ) ) === $licenseString ) {
			echo $prefix . substr( $term->description, strlen( $licenseString ));
		} else {
			echo $term->description ;
		}
		echo "</p>";
	}
	echo "</dd>";
}
?>
</dl>
